﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WebEdition

Public Class HMTest
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        'map1 = NexRFMapBuilder.BuildBasicNexRFMap(map1, User.Identity.Name)



        'map1.MapUnit = GeographyUnit.DecimalDegree
        'map1.BackgroundOverlay.BackgroundBrush = New GeoSolidBrush(GeoColor.FromArgb(255, 198, 255, 255))

        'Google uses meters
        map1.MapUnit = GeographyUnit.Meter
        map1.CurrentExtent = New RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962)

        'Nexrf and WMS use degrees
        'thisMap.MapUnit = GeographyUnit.DecimalDegree
        map1.MapTools.MouseCoordinate.Enabled = True

        'Use Bing
        Dim bingKey As String = "AipvZtF5FDlF7QlyKhjO8yBTwB4V4hc_plPq0gLMYtaxdn1PSt6hxGXVj2747waY"
        Dim bingO As New BingMapsOverlay("BingWorldMapOverlay", BingMapsStyle.Hybrid, bingKey)
        'bingO.IsVisibleInOverlaySwitcher = True
        bingO.IsBaseOverlay = True
        map1.CustomOverlays.Add(bingO)

        'Use google
        'Dim sGoogleURI = "http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAoxK_HcqphMsnUQHEwLwHlRSavkNJi0NVTgm4UDidoiIU5dUJpRQW88FufPCp0aTPraxZgZFAIUHn3Q"
        'Dim google As New GoogleOverlay("Google Map")
        'google.JavaScriptLibraryUri = New Uri(sGoogleURI)
        'google.GoogleMapType = GoogleMapType.Normal
        'google.IsBaseOverlay = True
        'map1.CustomOverlays.Add(google)
        'map1.ActiveBaseOverlay = google

        Dim proj4 As New Proj4Projection()
        proj4.InternalProjectionParametersString = Proj4Projection.GetDecimalDegreesParametersString()
        'proj4.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326)
        proj4.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString()
        'majorCitiesShapeLayer.FeatureSource.Projection = proj4

        Dim fs As New ShapeFileFeatureSource("C:\temp\Data\quksigx020.shp")
        fs.Projection = proj4
        fs.ShapePathFileName = "C:\temp\Data\quksigx020.shp"

        Dim hl As New HeatLayer(fs)
        hl.FeatureSource.Projection = proj4

        Dim hs As New HeatStyle
        hs.IntensityColumnName = "other_mag1"
        hs.IntensityRangeStart = 0
        hs.IntensityRangeEnd = 12
        'Sets the size of each point 100 kilometers of diameter.
        hs.Alpha = 180
        hs.PointRadius = 60
        hs.PointRadiusUnit = DistanceUnit.Kilometer

        hl.HeatStyle = hs
        Dim hmo As New LayerOverlay
        hmo.Layers.Add(hl)
        hmo.Name = "heatmapoverlay"
        hmo.Redraw()
        hmo.IsVisible = True
        hmo.IsVisibleInOverlaySwitcher = True
        map1.CustomOverlays.Add(hmo)

    End Sub

End Class